<div fxLayout="column" fxLayoutGap="0px">
    <mat-card class="mat-elevation-z0">
    <form [formGroup]="siteInfoReviewFormGroup" (ngSubmit)="onSubmit()">

        <div fxLayout="column" fxLayoutGap="5px" class="div-border">
            <div>
                <span><b>Site Details</b></span>
            </div>
            <div fxLayout="column" class="div-border"  fxLayoutGap="10px">
                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                        <div fxFlex="10"><span class="required-label-color">Site Name</span></div>
                        <div fxFlex="25"><mat-form-field fxFlex appearance="outline">
                                <input type="text" matInput formControlName="siteNameCtrl" maxlength="100"  [(ngModel)]="agencySiteData.siteName" (blur)="checkDuplicateSite($event)" />
                                <mat-error *ngIf="f.siteNameCtrl.errors?.required"> {{ validationMssg.siteNameCtrl.required }}</mat-error>
                                <mat-error *ngIf="f.siteNameCtrl.errors?.pattern"> {{ validationMssg.siteNameCtrl.pattern }}</mat-error>
                            </mat-form-field>
                        </div>
                        <div fxFlex="5"></div>
                        <div fxFlex="10"><span class="required-label-color">Site Type</span></div>
                        <div fxFlex="30">
                            <mat-form-field appearance="outline" fxFlex>
                                    <mat-select formControlName="siteTypeCtrl" [(ngModel)]="agencySiteData.siteType">
                                    <mat-option *ngIf="preSelectedSiteType < 1" [value]="0">Select</mat-option>
                                    <mat-option *ngFor="let siteType of siteTypes" [value]="siteType.siteTypeCode">
                                        {{siteType.typeDescription}}
                                        </mat-option>
                                    </mat-select>
                                    <mat-error *ngIf="f.siteTypeCtrl.errors?.required"> {{ validationMssg.siteTypeCtrl.required }}</mat-error>
                            </mat-form-field>
                        </div>
                        <div fxFlex><span>&nbsp;</span></div>
                    </div>
                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                        <div fxFlex="10"><span class="required-label-color">Street Address</span></div>
                        <div fxFlex="25"><mat-form-field appearance="outline" fxFlex><input matInput formControlName="siteAddressCtrl" maxlength="200" [(ngModel)]="agencySiteData.siteAddress" />
                                <mat-error *ngIf="f.siteAddressCtrl.errors?.required"> {{ validationMssg.siteAddressCtrl.required }}</mat-error>
                            </mat-form-field>
                        </div>
                        <div fxFlex="5"></div>
                        <div fxFlex="10"><span class="required-label-color">City</span></div>
                        <div fxFlex="30"><mat-form-field appearance="outline"><input matInput formControlName="siteCityCtrl" maxlength="50" [(ngModel)]="agencySiteData.siteCity" alphabetSpace />
                                <mat-error *ngIf="f.siteCityCtrl.errors?.required"> {{ validationMssg.siteCityCtrl.required }}</mat-error>
                                <mat-error *ngIf="f.siteCityCtrl.errors?.pattern"> {{ validationMssg.siteCityCtrl.pattern }}</mat-error>
                            </mat-form-field></div>
                        <div fxFlex><span>&nbsp;</span></div>
                    </div>
                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                        <div fxFlex="10"><span class="required-label-color">State</span></div>
                        <div fxFlex="25"><mat-form-field fxFlex="50" appearance="outline"><input matInput formControlName="siteStateCtrl" maxlength="2" [(ngModel)]="agencySiteData.siteState" alphabetOnly />
                                <mat-error *ngIf="f.siteStateCtrl.errors?.required"> {{ validationMssg.siteStateCtrl.required }}</mat-error>
                                <mat-error *ngIf="f.siteStateCtrl.errors?.pattern"> {{ validationMssg.siteStateCtrl.pattern }}</mat-error>
                            </mat-form-field>
                        </div>
                        <div fxFlex="5"></div>
                        <div fxFlex="10"><span class="required-label-color">Zip Code</span></div>
                        <div fxFlex="30"><mat-form-field fxFlex="50" appearance="outline"><input matInput digitOnly formControlName="siteZipCodeCtrl" maxlength="5" [(ngModel)]="agencySiteData.siteZip" />
                                <mat-error *ngIf="f.siteZipCodeCtrl.errors?.required"> {{ validationMssg.siteZipCodeCtrl.required }}</mat-error>
                                <mat-error *ngIf="f.siteZipCodeCtrl.errors?.pattern"> {{ validationMssg.siteZipCodeCtrl.pattern }}</mat-error>
                            </mat-form-field></div>
                        <div fxFlex><span>&nbsp;</span></div>
                    </div>
                        
            </div>
        </div>

        <div class="div-border">
                <div fxLayout="column" fxLayoutGap="5px">
                    <span><b>Site Contacts</b></span>
                </div>
                <div fxLayout="column" class="div-border"  fxLayoutGap="5px">
                        <app-site-contact-request [siteRequestID]='siteRequestID' [options]='useroptions' [contactType]='1'></app-site-contact-request>
                </div>
        </div>

    </form>
</mat-card>

</div>